View Issue Details

IDProjectCategoryView StatusLast Update
0002867FreeCADBugpublic2017-01-20 12:18
ReporterDeepSOICAssigned Towmayer 
PriorityhighSeveritycrashReproducibilityalways
Status closedResolutionfixed 
Product Version0.17 
Target Version0.17Fixed in Version0.17 
Summary0002867: AttachExtension crash
DescriptionIn some situations, methods of AttachExtension appear on objects with no extensions. Calling these methods causes a crash.
Steps To ReproduceOpen FreeCAD. Run this code:
import Part
if not App.ActiveDocument:
    App.newDocument()

App.ActiveDocument.addObject("Part::Box","box")
f = App.ActiveDocument.addObject( "Part::FeaturePython", "test")
f.positionBySupport() #Should be: "f has no attribute 'positionBySupport'". Result: crash.
Additional InformationOS: Windows 10
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.17.9677 (Git)
Build type: Debug
Branch: (HEAD detached at FC/master)
Hash: c0ec75eb5a9dc5a4f70012864da6b30e7f17d54d
Python version: 2.7.8
Qt version: 4.8.7
Coin version: 4.0.0a
OCC version: 7.0.0


forum thread:
http://forum.freecadweb.org/viewtopic.php?f=3&t=20009
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2017-01-18 22:03 DeepSOIC New Issue
2017-01-18 22:15 Kunda1 Steps to Reproduce Updated View Revisions
2017-01-19 11:54 wmayer Assigned To => wmayer
2017-01-19 11:54 wmayer Priority normal => high
2017-01-19 11:54 wmayer Status new => confirmed
2017-01-19 11:54 wmayer Target Version => 0.17
2017-01-19 20:48 wmayer Changeset attached => FreeCAD Master master 39bd5ea5
2017-01-20 12:17 wmayer Changeset attached => FreeCAD Master master ac7750fa
2017-01-20 12:18 wmayer Status confirmed => closed
2017-01-20 12:18 wmayer Resolution open => fixed
2017-01-20 12:18 wmayer Fixed in Version => 0.17